Subject: bug#19822: url-retrieve: allow to fail when no document is associated with the URI

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Oct 2019 15:56:15 +0200

Stefan Kangas <[email-masked]> writes:

> I don't feel very strongly about this, but I'm curious: Why don't you
> want to obsolete at least some of them?  I think they add user
> confusion and are just not very helpful.

I think an across-the-board obsoletion is easier to communicate than
doing it piece by piece.

But I don't feel very strongly about this, either.

> Personally, I wouldn't mind a middle ground here: to only obsolete the
> very low hanging fruit.  To be more concrete, it doesn't seem to me
> that it would take much effort to immediately obsolete url-irc.el,
> url-news.el, url-imap.el and url-ns.el.

Oh, I missed irc: and ns:.  :-/  Yes, those are pretty useless...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no